Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::Iterator< itType > Struct Template Reference
Iterators

Interface for Tulip iterators. Allows basic iteration operations only. More...

`#include <Iterator.h>`

Inheritance diagram for tlp::Iterator< itType >:
[legend]

List of all members.

## Public Member Functions

- Iterator ()
- virtual ~Iterator ()
- virtual itType next ()=0
    Moves the Iterator on the next element.
- virtual bool hasNext ()=0
    Tells if the sequence is at its end.

## Detailed Description

### template<class itType>
struct tlp::Iterator< itType >

Interface for Tulip iterators. Allows basic iteration operations only.

See also:
  forEach

## Constructor & Destructor Documentation

template<class itType>

tlp::Iterator< itType >::Iterator | ( |  | ) | `[inline]`

template<class itType>

virtual tlp::Iterator< itType >::~Iterator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class itType>

virtual bool tlp::Iterator< itType >::hasNext | ( |  | ) | `[pure virtual]`

Tells if the sequence is at its end.

Returns:
  bool Whether there are more elements to iterate on.

Implemented in tlp::ConcatIterator< itType >, tlp::ConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR >, tlp::FilterIterator< TYPE, FILTER >, tlp::StableIterator< itType >, tlp::StlFilterIterator< VALUE, ITERATOR, FILTER >, tlp::StlIterator< VALUE, ITERATOR >, tlp::StlMapIterator< KEY, VALUE >, tlp::StlMapValueIterator< KEY, VALUE >, tlp::UniqueIterator< TYPE, TOCHECKFUNCTOR >, tlp::StableIterator< node >, and tlp::StableIterator< edge >.

template<class itType>

virtual itType tlp::Iterator< itType >::next | ( |  | ) | `[pure virtual]`

Moves the Iterator on the next element.

Returns:
  The current element pointed by the Iterator.

Implemented in tlp::ConcatIterator< itType >, tlp::ConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR >, tlp::FilterIterator< TYPE, FILTER >, tlp::StableIterator< itType >, tlp::StlFilterIterator< VALUE, ITERATOR, FILTER >, tlp::StlIterator< VALUE, ITERATOR >, tlp::StlMapIterator< KEY, VALUE >, tlp::StlMapValueIterator< KEY, VALUE >, tlp::UniqueIterator< TYPE, TOCHECKFUNCTOR >, tlp::StableIterator< node >, and tlp::StableIterator< edge >.

Tulip Software by LaBRI Visualization Team 2001 - 2012